Subject: Re: Distribution
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Dec 2001 22:20:30 -0500

On Tue, Dec 18, 2001 at 06:34:10PM +0100, Lapo Luchini wrote:
>> In reality I really only need the cygwin and bash base with devel and editor
>> components (in order to teach C Language on win-tel platforms), the others
>> are simply gravy.  Thanks again for your assistance!
>
>I'm a profane of legal issues but I bet that as long as you include full sources
>and the url of cygwin's homepage theer's no problem, as it is GPL software after
>all.
>
>Correct me if I'm wrong...

You're wrong!  You don't need the URL.  :-)

But it would be appreciated.

What I was trying to find out was just how much reading of the license
agreement was actually done.  You've clarified the subject for Michael
but I was kinda hoping that if he was seriously thinking about including
the binaries that he'd seriously read the license agreement.

However, since none of us is actually a lawyer here, lately I have been
advising people that if they really want to be 100% sure of their
distribution they should check with their own lawyer.  I get asked a lot
for what amounts to a lot of free legal advice and it has occurred to me
that I would rather not be seen as an official last word for anything.

If you are in compliance with the licensing of each of the packages that
you will be releasing (including the cygwin DLL) then you should be ok.
I can only speak in a semi-official capacity for cygwin.  The other packages
have their own licensing terms.  I assume that adhering to the GPL should
satisfy all of the licensing terms but I don't know for sure.

If you want to be 100% sure of that fact, then you should contact a
lawyer.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/